module GSL_jll
using Libdl
is_available() = true
find_artifact_dir() = "/usr"
artifact_dir = "/usr"
const PATH_list = String[]
const LIBPATH_list = String[]
const PATH = Ref("")
const LIBPATH = Ref("")
const LIBPATH_env = "LD_LIBRARY_PATH"
export libgsl
const libgsl_path = "/usr/lib/libgsl.so.28"
libgsl_handle = C_NULL
const libgsl = "libgsl.so.28"
export libgslcblas
const libgslcblas_path = "/usr/lib/libcblas.so.3"
libgslcblas_handle = C_NULL
const libgslcblas = "libcblas.so.3"
export gsl_histogram
const gsl_histogram_path = "/usr/bin/gsl-histogram"
gsl_histogram(f::Function; kw...) = f(gsl_histogram_path)
gsl_histogram(; kw...) = Cmd([gsl_histogram_path])
export gsl_randist
const gsl_randist_path = "/usr/bin/gsl-randist"
gsl_randist(f::Function; kw...) = f(gsl_randist_path)
gsl_randist(; kw...) = Cmd([gsl_randist_path])
function __init__()
    global libgsl_handle = dlopen(libgsl_path, RTLD_LAZY | RTLD_DEEPBIND | RTLD_GLOBAL)
    global libgslcblas_handle = dlopen(libgslcblas_path)
end
end
